> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert article prices

> Import or update article prices in bulk. Usually performed via direct integration with Data Import service.



## OpenAPI

````yaml openapi/product-catalog-v2.json POST /v2/articles/prices/import
openapi: 3.0.4
info:
  title: ProductCatalog.Api 2.0
  version: '2.0'
servers:
  - url: https://{host}/product-catalog
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security: []
paths:
  /v2/articles/prices/import:
    post:
      tags:
        - Articles
      summary: Upsert article prices
      description: >-
        Import or update article prices in bulk. Usually performed via direct
        integration with Data Import service.
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Requests.ImportArticlePriceRequest
            examples:
              Single Product:
                value:
                  - externalId: EXT-1001
                    storeId: '-1'
                    salePrice: 19.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: null
                    taxCode: VAT20
                  - externalId: EXT-1001
                    storeId: STORE-002
                    salePrice: 19.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: true
                    taxCode: VAT10
              Multiple Products:
                value:
                  - externalId: EXT-1002
                    storeId: '-1'
                    salePrice: 20
                    pricePerUnit: 80
                    pricePerPiece: 2.5
                    isWithoutBarcode: false
                    taxCode: VAT20
                  - externalId: EXT-1002
                    storeId: STORE-002
                    salePrice: 22
                    pricePerUnit: 88
                    pricePerPiece: 2.75
                    isWithoutBarcode: true
                    taxCode: VAT10
                  - externalId: EXT-1003
                    storeId: '-1'
                    salePrice: 14.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: null
                    taxCode: VAT20
                  - externalId: EXT-1003
                    storeId: STORE-002
                    salePrice: 14.5
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: true
                    taxCode: VAT10
          text/json:
            schema:
              type: array
              items:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Requests.ImportArticlePriceRequest
            examples:
              Single Product:
                value:
                  - externalId: EXT-1001
                    storeId: '-1'
                    salePrice: 19.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: null
                    taxCode: VAT20
                  - externalId: EXT-1001
                    storeId: STORE-002
                    salePrice: 19.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: true
                    taxCode: VAT10
              Multiple Products:
                value:
                  - externalId: EXT-1002
                    storeId: '-1'
                    salePrice: 20
                    pricePerUnit: 80
                    pricePerPiece: 2.5
                    isWithoutBarcode: false
                    taxCode: VAT20
                  - externalId: EXT-1002
                    storeId: STORE-002
                    salePrice: 22
                    pricePerUnit: 88
                    pricePerPiece: 2.75
                    isWithoutBarcode: true
                    taxCode: VAT10
                  - externalId: EXT-1003
                    storeId: '-1'
                    salePrice: 14.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: null
                    taxCode: VAT20
                  - externalId: EXT-1003
                    storeId: STORE-002
                    salePrice: 14.5
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: true
                    taxCode: VAT10
          application/*+json:
            schema:
              type: array
              items:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Requests.ImportArticlePriceRequest
            examples:
              Single Product:
                value:
                  - externalId: EXT-1001
                    storeId: '-1'
                    salePrice: 19.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: null
                    taxCode: VAT20
                  - externalId: EXT-1001
                    storeId: STORE-002
                    salePrice: 19.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: true
                    taxCode: VAT10
              Multiple Products:
                value:
                  - externalId: EXT-1002
                    storeId: '-1'
                    salePrice: 20
                    pricePerUnit: 80
                    pricePerPiece: 2.5
                    isWithoutBarcode: false
                    taxCode: VAT20
                  - externalId: EXT-1002
                    storeId: STORE-002
                    salePrice: 22
                    pricePerUnit: 88
                    pricePerPiece: 2.75
                    isWithoutBarcode: true
                    taxCode: VAT10
                  - externalId: EXT-1003
                    storeId: '-1'
                    salePrice: 14.99
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: null
                    taxCode: VAT20
                  - externalId: EXT-1003
                    storeId: STORE-002
                    salePrice: 14.5
                    pricePerUnit: null
                    pricePerPiece: null
                    isWithoutBarcode: true
                    taxCode: VAT10
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Results.EmptyResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Results.EmptyResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Results.EmptyResult
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Results.DataImportErrorResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Results.DataImportErrorResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/ProductCatalog.Contracts.Results.DataImportErrorResult
components:
  schemas:
    ProductCatalog.Contracts.Requests.ImportArticlePriceRequest:
      type: object
      properties:
        externalId:
          type: string
          description: Identifier of the product in external system.
        storeId:
          type: string
          description: Identifier of store.
        salePrice:
          type: number
          description: Sale price of the product in store.
          format: double
        pricePerUnit:
          type: number
          description: The price per unit.
          format: double
          nullable: true
        pricePerPiece:
          type: number
          description: The price per piece.
          format: double
          nullable: true
        isWithoutBarcode:
          type: boolean
          description: Indicator whether the item is without a barcode.
          nullable: true
        taxCode:
          type: string
          description: Tax code associated with the product.
      additionalProperties: false
      description: Import store product's details model.
    ProductCatalog.Contracts.Results.EmptyResult:
      type: object
      additionalProperties: false
    ProductCatalog.Contracts.Results.DataImportErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
      additionalProperties: false
      description: Class for integration with Data import service.
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false

````